document: modulemd
version: 2
data:
    name: perl-CGI
    stream: '4.51'
    summary: Handle Common Gateway Interface requests and responses
    description: >
        CGI.pm is a stable, complete and mature solution for processing and
        preparing HTTP requests and responses. Major features including
        processing form submissions, file uploads, reading and writing
        cookies, query string generation and manipulation, and processing
        and preparing HTTP headers. Some HTML generation utilities are
        included as well.
        CGI.pm performs very well in in a vanilla CGI.pm environment and
        also comes with built-in support for mod_perl and mod_perl2 as well
        as FastCGI.
    license:
        module: [MIT]
    dependencies:
        - buildrequires:
              platform: [f34]
              perl: ['5.30', '5.32']
              perl-libwww-perl: ['6.48']
          requires:
              platform: [f34]
              perl: ['5.30', '5.32']
              perl-libwww-perl: ['6.48']
    references:
        community: https://metacpan.org/release/CGI
    profiles:
        common:
            description: CGI Perl module
            rpms:
                - perl-CGI
    api:
        rpms:
            - perl-CGI
    buildopts:
        rpms:
            macros: |
                %_without_perl_CGI_enables_optional_test 1
    components:
        rpms:
            perl-Sub-Uplevel:
                rationale: A build-time dependency.
                ref: rawhide
                buildonly: true
                buildorder: 0
            perl-Test-Deep:
                rationale: A build-time dependency.
                ref: rawhide
                buildonly: true
                buildorder: 0
            perl-Test-Warn:
                rationale: A build-time dependency.
                ref: rawhide
                buildonly: true
                buildorder: 1
            perl-CGI:
                rationale: The API.
                ref: rawhide
                buildorder: 2
